Price
INFO
Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.
GET /price/get-all
Get all prices
Параметры запроса
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
status | string | Нет | Допустимые значения: active, inactive |
type | string | Нет | Допустимые значения: sale, income |
currency_id | string | Нет | |
search | string | Нет |
Тело запроса
Тело запроса не требуется.
Ответ
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [],
"time": "2025-05-01T12:00:00Z"
}POST /price/items/get-paging
Price items
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
page | number | Да | По умолчанию: 1 |
limit | number | Да | По умолчанию: 20 |
organization_id | string | Нет | |
price_id | string | Нет | |
product_id | string | Нет |
json
{
"page": 1,
"limit": 20,
"organization_id": "string",
"price_id": "string",
"product_id": "string"
}Ответ
Структура ответа совпадает с GET /price/get-all.
GET /price/get-by-id/{id}
Get a price by its _id.
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
| Поле | Тип | Описание |
|---|---|---|
_id | string | The ID of the price |
code | string | The code of the price |
short_name | string | The short name of the price |
name | string | The name of the price |
currency_id | string | The currency ID of the price |
status | string | The status of the price. Допустимые значения: active, inactive |
type | string | The type of the price. Допустимые значения: sale, income |
updated_by | string | The ID of the user who updated the price |
is_default | boolean | Whether the price is the default price |
can_be_updated | boolean | Whether the price can be updated |
is_main | boolean | Whether the price is the main price |
has_access | boolean | Whether the price has access |
employee_ids | string[] | The IDs of the employees who have access to the price |
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "string",
"code": "string",
"short_name": "string",
"name": "string",
"currency_id": "string",
"status": "active",
"type": "sale",
"updated_by": "string",
"is_default": false,
"can_be_updated": false,
"is_main": false,
"has_access": false,
"employee_ids": [
"string"
]
},
"time": "2025-05-01T12:00:00Z"
}Эта страница сгенерирована из спецификации OpenAPI.